Bug 176975 - allow to load/append the whole album in the collection search result
Summary: allow to load/append the whole album in the collection search result
Status: CONFIRMED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collection Browser (show other bugs)
Version: 2.3-GIT
Platform: unspecified Linux
: NOR wishlist with 42 votes (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
: 177423 193527 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-12-05 14:46 UTC by simon
Modified: 2013-05-25 09:57 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description simon 2008-12-05 14:46:51 UTC
Version:           2.0-SVN (using 4.1.81 (KDE 4.1.81 (KDE 4.2 >= 20081128)), Gentoo)
Compiler:          x86_64-pc-linux-gnu-gcc
OS:                Linux (x86_64) release 2.6.26-tuxonice

i often search for a track name and would like to add the whole album containing the track, but up to now only the filtered results can be added.
a new context menu entry (on the album item?) which allows that would be nice.
Comment 1 Mark Kretschmann 2008-12-11 08:47:00 UTC
*** Bug 177423 has been marked as a duplicate of this bug. ***
Comment 2 Vijay Krishna Ramesh 2010-07-21 15:30:14 UTC
As a related bug/feature-request, in older (pre 2.* I guess?) versions of Amarok, after searching by, e.g., song title, if you clicked on a particular track in the left (library) list and then cleared the search the library would stay "scrolled" to the track that you clicked on. This made it easy to then add the entire album (search for a particular song => click on that song title => clear the search => right click on the album itself).  At least in last 2 versions of Amarok, however, clearing the search causes the left library list to jump back to the top. If you clicked on a song when during the search it is still expanded, but when you have a large library it is a serious pain to then have to scroll to find it. 

So while I think Simon's solution (adding a "add entire album to playlist" context menu entry (on the album name, probably) is the best, if it is easier/if it means this gets done, it might be worth looking a few versions back and seeing why when the search was cleared the library list didn't jump back to the top.

Cheers.
Comment 3 Myriam Schweingruber 2010-12-13 11:42:49 UTC
*** Bug 193527 has been marked as a duplicate of this bug. ***
Comment 4 Simeon 2011-12-20 14:20:16 UTC
This wish has been granted.This report should be removed.
Comment 5 simon 2011-12-20 16:39:31 UTC
@Simeon: can't think what came over you, but mass claiming open bugs as fixed doesn't help anything

still open with git of today
Comment 6 Myriam Schweingruber 2011-12-21 00:08:19 UTC
(In reply to comment #4)
> This wish has been granted.This report should be removed.

So sorry, please disregard this message, there was a misunderstanding with the
Google Code-In student.
Comment 7 Matěj Laitl 2013-05-25 09:57:03 UTC
(In reply to comment #2)
> As a related bug/feature-request, in older (pre 2.* I guess?) versions of
> Amarok, after searching by, e.g., song title, if you clicked on a particular
> track in the left (library) list and then cleared the search the library
> would stay "scrolled" to the track that you clicked on. This made it easy to
> then add the entire album (search for a particular song => click on that
> song title => clear the search => right click on the album itself).  At
> least in last 2 versions of Amarok, however, clearing the search causes the
> left library list to jump back to the top. If you clicked on a song when
> during the search it is still expanded, but when you have a large library it
> is a serious pain to then have to scroll to find it.

While I'm not sure if we could add another context menu, entry, ^^^this is something we should fix, and perhaps there won't be a need to add a context menu afterwards. Note that the above is covered by bug 188074 and I have an idea how to approach it without introducing another hack. Hopefully I'll find time to have a look at it before 2.8.

So perhaps this could be resolved in favour of bug 188074?